Page MenuHomePhabricator

Navigational popups and page previews appearing simultaneously on simplewiki
Closed, ResolvedPublic

Description

Despite our best efforts in T160081 this still appears to be a problem for simple wiki.

Steps to recreate:

  1. Enable hovercards as a beta feature on simple Wikipedia
  2. Enable navigational popups as a gadget (Go to preferences go to gadgets and tick "Navigation popups")
  3. Hover over any link

Expected behavior: navigational popup appears
Observed behavior: page preview and navigational popup appear

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2017, 11:39 PM

Change 351166 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Correction to config definition

https://gerrit.wikimedia.org/r/351166

^ I see what's happening here. The config is incorrect.

Jdlrobson removed pmiazga as the assignee of this task.May 1 2017, 5:25 PM
Jdlrobson added a project: Patch-For-Review.
Jdlrobson triaged this task as Normal priority.May 1 2017, 5:35 PM
phuedx added a comment.May 2 2017, 6:36 AM

From my comment on Gerrit:

All of the entries are missing the wiki suffix, right? Whoops! Let's fix them all at the same time.


Unfortunately, fixing this is blocked by the codfw – eqiad datacenter switcharoo.

Dereckson added a subscriber: Dereckson.

@phuedx @Jdlrobson If it's an emergency, we can deploy it.

phuedx added a comment.May 3 2017, 9:59 PM

Thanks, @Dereckson! This isn't UBN! – the user has to enable PP and NavPopups at the same time – so I'd say let's hold off until the datacenter switcheroo is over.

Change 351166 merged by jenkins-bot:
[operations/mediawiki-config@master] pagePreviews: Fix NavPopups gadget detection

https://gerrit.wikimedia.org/r/351166

Mentioned in SAL (#wikimedia-operations) [2017-05-08T13:55:29Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:351166|pagePreviews: Fix NavPopups gadget detection (T164044)]] (duration: 00m 39s)

Olga I got this deployed today. Please can you sign off? It looks good to me.

ovasileva closed this task as Resolved.May 8 2017, 5:16 PM

tested and all done